Skip to main content
POST
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
import
Import segments
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/import \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/import"

payload = {}
headers = {
"Content-Disposition": "<content-disposition>",
"Authorization": "<api-key>",
"Content-Type": "application/octet-stream"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Content-Disposition': '<content-disposition>',
Authorization: '<api-key>',
'Content-Type': 'application/octet-stream'
},
body: JSON.stringify({})
};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "acceptedSegmentsCount": 123,
  "createdSegmentsCount": 123,
  "skippedSegmentsCount": 123,
  "updatedSegmentsCount": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Length
integer<int64>

Content length of the uploaded file

Content-Disposition
string
required

must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)

Path Parameters

transMemoryUid
string
required

Translation memory UID

Query Parameters

strictLangMatching
boolean
default:false

Require exact locale match for import (default: false)

stripNativeCodes
boolean
default:true

Strip native TM codes from imported segments (default: true)

excludeNotConfirmedSegments
boolean
default:false

Skip unconfirmed segments during import (default: false)

Body

The body is of type object.

Response

OK

Result of a TM segment import with counts of accepted, created, updated and skipped segments

acceptedSegmentsCount
integer<int32>

Number of segments accepted by the import

createdSegmentsCount
integer<int32>

Number of new segments created during import

skippedSegmentsCount
integer<int32>

Number of segments skipped during import

updatedSegmentsCount
integer<int32>

Number of existing segments updated during import